package apirtdatabase

import "git.sr.ht/~mil/mobsql"

type DatabaseParams struct {
	FeedIDs           []int   `json:"feed_ids" validate:"required,gt=0"`
	Op                string  `json:"op" validate:"required,oneof=status load loadcustomgtfs compute purge_gtfs purge_computed purge_all"`
	LoadCustomGTFSURI *string `json:"loadcustomgtfs_uri,omitempty"`
}

type DatabaseResponse = mobsql.FeedOpResult
