package formattermapurl

import (
	"encoding/json"
	"fmt"
	"git.sr.ht/~mil/mobroute/api/apirtroute/formattergeojson"
	"net/url"
)

func FormatMapURL(geojsonFeatures *[]formattergeojson.GeoJSONFeature) string {
	bytes, _ := json.Marshal(geojsonFeatures)
	escapedGeoJSON := url.QueryEscape(string(bytes))
	baseURL := "http://geojson.lrdu.org/"
	url := fmt.Sprintf("%s#%s", baseURL, escapedGeoJSON)
	return url
}
