package formattergeojson

type GeoJSONFeature struct {
	Type       string            `json:"type"`
	Properties map[string]string `json:"properties,omitempty"`
	Geometry   any               `json:"geometry,omitempty"` // E.g Either GeoJSONGeometry{LineString,Point}
}

type GeoJSONGeometryLineString struct {
	Type        string       `json:"type"` // Always set to "LineString"
	Coordinates [][2]float64 `json:"coordinates"`
}

type GeoJSONGeometryPoint struct {
	Type        string     `json:"type"` // Always set to "Point"
	Coordinates [2]float64 `json:"coordinates"`
}
