package formatterlegs

func ptr[T any](a T) *T {
	return &a
}

func coalesce[T any](a, b *T) *T {
	if a != nil {
		return a
	} else {
		return b
	}
}

// walkCalcSecs calculates the seconds it takes to walk the given distKm given
func walkCalcSecs(distKm, walkspeedKmHr float64) uint {
	return uint(distKm / walkspeedKmHr * 60 * 60)
}
