package apirtstops

import (
	"git.sr.ht/~mil/mobroute/dbt"
)

type StopsParams struct {
	FeedIDs   []int      `json:"feed_ids" validate:"required,gt=0"`
	FromCoord [2]float64 `json:"from_coord" validate:"len=2"`
	MaxDistKM float64    `json:"from_maxdistkm" validate:""`
	Glob      string     `json:"glob"`
	NLimit    int        `json:"n_limit"`
}

type StopsResponse struct {
	Stops *[]dbt.StopWalk `json:"stops,omitempty"`
}
