package csa_test

import (
	"git.sr.ht/~mil/mobroute/dbt"
)

type CSAArgs struct {
	Connections        *[]dbt.Connection
	Transfers          *[]dbt.Transfer
	WalkcostsOrigin    map[string]uint
	FromTime           int
	MaxTransferSeconds uint
	MaxNTransfers      uint
}

type CSATestArrivalDetails struct {
	Time   int
	ConnID string
	NTrips uint
}
type CSATestCase struct {
	Test   string
	Args   CSAArgs
	Expect map[string]CSATestArrivalDetails
}
