package dbquery

import (
	"database/sql"
	"git.sr.ht/~mil/mobroute/util/utillog"
	"github.com/jmoiron/sqlx"
)

func QueryValue(DB *sqlx.DB, query string, args []any) (string, error) {
	var val string
	utillog.Warnf("Running query: %v with args: [%v]", query, args)
	if err := DB.QueryRow(query, args...).Scan(&val); err != nil && err != sql.ErrNoRows {
		return "", err
	} else {
		return val, nil
	}
}
