// Package dbstubquery provides SQL 'stubs' loader fns that aren't (directly)
// used by the routing logic (apirtroute) but are used implictily by larger
// queries.
//
// Examples are testing views:
//
//	caltoservice and stoptoparent
//
// These views are used as 'subcomponents' of ordinary loader queries
// in dbquery, however it's helpful to directly test these view functions
// as input/output fns directly (via the associated dbstubquery_test).
package dbstubquery
