package utilcache

import (
	"git.sr.ht/~mil/mobroute/util/utillog"
	"os"
)

func CacheDir(subFolder string) string {
	dir := os.Getenv("HOME") + "/.cache/mobroute" + "/" + subFolder
	if err := os.MkdirAll(dir, os.ModePerm); err != nil {
		utillog.Fatal(err)
	}
	return dir
}
